﻿// ****************************************************************************
// *                                                                          *
// * © Copyright 2020 RapidApps Sweden                                        *
// *                                                                          *
// * File       : Program.cs                                                  *
// * Created    : 2020-05-08                                                  *
// * Created by : metscore                                                    *
// *                                                                          *
// ****************************************************************************

using CyUSB;

namespace PassMarkUSBPlugLib
{
    public enum EndPointType { Unknown = 0, In = 1, Out = 2 }

    public class CypressEndPoint
    {
        public CyUSBEndPoint Endpoint { get; private set; }
        public int MaxPacketSize { get; private set; }
        public byte AlternateSetting { get; private set; }
        public EndPointType EndPointType { get; private set; }

        public CypressEndPoint(EndPointType type, byte alternateSetting, int maxPacketSize, CyUSBEndPoint endpoint)
        {
            this.EndPointType = type;
            this.AlternateSetting = alternateSetting;
            this.MaxPacketSize = maxPacketSize;
            this.Endpoint = endpoint;
        }
    }
}
