﻿// ****************************************************************************
// *                                                                          *
// * © Copyright 2020 RapidApps Sweden                                        *
// *                                                                          *
// * File       : Program.cs                                                  *
// * Created    : 2020-05-08                                                  *
// * Created by : metscore                                                    *
// *                                                                          *
// ****************************************************************************

namespace PassMarkUSBTestPlug
{
    public static class PassMarkDefines
    {
        public enum USB_TEST_TYPE
        {
            DMA_LOOPBACK_AUTO = 0,      /* Control Endpoint Type */
            DMA_BENCHMARK_READ = 1,     /* Isochronous Endpoint Type */
            USB_BENCHMARK_WRITE = 2,    /* Bulk Endpoint Type */
            USB_BENCHMARK_RW = 3        /* Interrupt Endpoint Type */
        };

        public enum USB_EP_TYPE
        {
            USB_EP_CONTROL = 0,          /* Control Endpoint Type */
            USB_EP_ISOCHRONOUS = 1,      /* Isochronous Endpoint Type */
            USB_EP_BULK = 2,             /* Bulk Endpoint Type */
            USB_EP_INTERRUPT = 3         /* Interrupt Endpoint Type */
        };

        public enum USB30_VENDOR
        {
            VENDOR_REQ_READ = 0,
            VENDOR_REQ_WRITE
        };

        public enum USB30_SPEED { USB30ST_UNKNOWN = 0, USB30ST_FS, USB30ST_HS, USB30ST_SS }

        public const byte LOOPBACK_BUFFER_COUNT = 64;
        public const ushort LOOPBACK_BUFFER_SIZE = 1024;

        public const byte SET_CONFIG = 2;
        public const byte GET_VOLTAGE = 7;
    }
}
